Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Error during installation ABAP Development Tools + Modeling Tools
Error during installation ABAP Development Tools + Modeling Tools [message #1862244] Mon, 20 November 2023 12:33 Go to next message
Dorian Kovacs is currently offline Dorian KovacsFriend
Messages: 2
Registered: November 2023
Junior Member
Dear All,

I am facing an issue during the installation the packages in the SAP Hana Studio (via Help - "Install new software")

I already tried here more URL's (_tools.hana.ondemand.com/neon, /mars, /latest, 2023-09) but the errors are there.

First I would like to setup the ABAP Development Tools for SAP NetWeaver, but it cannot be done due to this error message:
Cannot complete the install because one or more required items could not be found.
Software being installed: ABAP Core Development Tools (Developer Edition) 2.94.7 (com.sap.adt.core.devedition.feature.group 2.94.7)
Missing requirement: ABAP Core Development Tools (Developer Edition) 2.94.7 (com.sap.adt.core.devedition.feature.group 2.94.7) requires 'org.eclipse.equinox.p2.iu; org.eclipse.mylyn.context_feature.feature.group [3.9.0,4.0.0)' but it could not be found


If I try to install the Modeling Tools for SAP BW/4HANA and SAP BW powered by SAP HANA package, I get that one:
Cannot complete the install because one or more required items could not be found.
Software being installed: BW Open ODS View (Developer Edition) 1.18.23 (com.sap.bw.feature.fbp.devedition.feature.group 1.18.23)
Missing requirement: ABAP Core Development Tools (Developer Edition) 2.94.7 (com.sap.adt.core.devedition.feature.group 2.94.7) requires 'org.eclipse.equinox.p2.iu; org.eclipse.mylyn.context_feature.feature.group [3.9.0,4.0.0)' but it could not be found
Cannot satisfy dependency:
From: BW Open ODS View (Developer Edition) 1.18.23 (com.sap.bw.feature.fbp.devedition.feature.group 1.18.23)
To: org.eclipse.equinox.p2.iu; com.sap.adt.core.devedition.feature.group 0.0.0


I am using windows 11 64-bit, Java 8 Update 211, SAP GUI 770 Patch Level 4.

Could you please help me, how can I fix that to use the SAP Hana Studio properly? Maybe is some element missing yet? I tried to do the same steps on a brand new win 11-laptop, the results were the same.
Re: Error during installation ABAP Development Tools + Modeling Tools [message #1862248 is a reply to message #1862244] Mon, 20 November 2023 15:47 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 33180
Registered: July 2009
Senior Member
ABAP is not an Eclipse project so you really will need to find an SAP forum to ask your questions.

Find the listing here:

https://marketplace.eclipse.org

And see if the Home button or the Help/? button has a link to a good place to ask questions.

Note that Mylyn renamed most of it's features in the 2023-09 release so that looks like the problem here that it expects to be installed in something older...


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Error during installation ABAP Development Tools + Modeling Tools [message #1862259 is a reply to message #1862248] Tue, 21 November 2023 10:55 Go to previous messageGo to next message
Dorian Kovacs is currently offline Dorian KovacsFriend
Messages: 2
Registered: November 2023
Junior Member
After searching a lot in this topic I've found that 2 lines should be added in the hdbstudio.ini file:
-Djavax.net.ssl.trustStore=NUL
-Djavax.net.ssl.trustStoreType=Windows-ROOT


It might be useful info for others as well.
Re: Error during installation ABAP Development Tools + Modeling Tools [message #1862262 is a reply to message #1862259] Tue, 21 November 2023 11:48 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 33180
Registered: July 2009
Senior Member
I see, yes, there have been discussions about adding that automatically on Windows:

https://github.com/eclipse-platform/eclipse.platform.releng.aggregator/pull/929


Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:Why does everyone hate Eclipse?
Next Topic:Eclipse html tags bugs out
Goto Forum:
  


Current Time: Sun Jul 14 14:02:08 GMT 2024

Powered by FUDForum. Page generated in 0.08890 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top